datacache <- new.env(hash=TRUE, parent=emptyenv())

tilingchromosome212210ahsrefseq <- function() showQCData("tilingchromosome212210ahsrefseq", datacache)
tilingchromosome212210ahsrefseq_dbconn <- function() dbconn(datacache)
tilingchromosome212210ahsrefseq_dbfile <- function() dbfile(datacache)
tilingchromosome212210ahsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilingchromosome212210ahsrefseq_dbInfo <- function() dbInfo(datacache)

tilingchromosome212210ahsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilingchromosome212210ahsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "tilingchromosome212210ahsrefseq", "chip tilingchromosome212210ahsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilingchromosome212210ahsrefseq_dbconn())
}

